Package org.wso2.carbon.deployment.synchronizer.stub.types

# Class DeploymentSynchronizerAdminDeploymentSynchronizerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.wso2.carbon.deployment.synchronizer.stub.types.DeploymentSynchronizerAdminDeploymentSynchronizerException

All Implemented Interfaces:
  `Serializable`

public class DeploymentSynchronizerAdminDeploymentSynchronizerException extends Exception

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeploymentSynchronizerAdminDeploymentSynchronizerException()`
  `DeploymentSynchronizerAdminDeploymentSynchronizerException(String s)`
  `DeploymentSynchronizerAdminDeploymentSynchronizerException(String s, Throwable ex)`
  `DeploymentSynchronizerAdminDeploymentSynchronizerException(Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DeploymentSynchronizerAdminDeploymentSynchronizerException`
  `getFaultMessage()`
  `void`
  `setFaultMessage(DeploymentSynchronizerAdminDeploymentSynchronizerException msg)`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DeploymentSynchronizerAdminDeploymentSynchronizerException

    public DeploymentSynchronizerAdminDeploymentSynchronizerException()

  - ### DeploymentSynchronizerAdminDeploymentSynchronizerException

    public DeploymentSynchronizerAdminDeploymentSynchronizerException(String s)

  - ### DeploymentSynchronizerAdminDeploymentSynchronizerException

    public DeploymentSynchronizerAdminDeploymentSynchronizerException(String s, Throwable ex)

  - ### DeploymentSynchronizerAdminDeploymentSynchronizerException

    public DeploymentSynchronizerAdminDeploymentSynchronizerException(Throwable cause)

- ## Method Details

  - ### setFaultMessage

    public void setFaultMessage(DeploymentSynchronizerAdminDeploymentSynchronizerException msg)

  - ### getFaultMessage

    public DeploymentSynchronizerAdminDeploymentSynchronizerException getFaultMessage()